Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.dependencies
Class DefaultExternalModuleDependency

    java.lang.Object
      org.gradle.api.internal.artifacts.dependencies.AbstractDependency
          org.gradle.api.internal.artifacts.dependencies.AbstractModuleDependency
              org.gradle.api.internal.artifacts.dependencies.AbstractExternalDependency
                  org.gradle.api.internal.artifacts.dependencies.DefaultExternalModuleDependency

All Implemented Interfaces:
  ExternalModuleDependency

    class DefaultExternalModuleDependency
    extends AbstractExternalDependency

author:
  Hans Dockter

Constructor Summary
`DefaultExternalModuleDependency(java.lang.String group, java.lang.String name, java.lang.String version)`
`DefaultExternalModuleDependency(java.lang.String group, java.lang.String name, java.lang.String version, java.lang.String configuration)`

Method Summary
`boolean` | `contentEquals(Dependency dependency)`
`DefaultExternalModuleDependency` | `copy()`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getGroup()`
`java.lang.String` | `getName()`
`java.lang.String` | `getVersion()`
`boolean` | `isChanging()`
`boolean` | `isForce()`
`DefaultExternalModuleDependency` | `setChanging(boolean changing)`
`DefaultExternalModuleDependency` | `setForce(boolean force)`
`java.lang.String` | `toString()`

Methods inherited from class AbstractExternalDependency
copyTo, isContentEqualsFor

Methods inherited from class AbstractModuleDependency
addArtifact, artifact, copyTo, exclude, getArtifacts, getConfiguration, getExcludeRules, isCommonContentEquals, isKeyEquals, isTransitive, setArtifacts, setTransitive

Methods inherited from class AbstractDependency
copyTo, hashCode

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultExternalModuleDependency

    public DefaultExternalModuleDependency(java.lang.String group, java.lang.String name, java.lang.String version)

### DefaultExternalModuleDependency

    public DefaultExternalModuleDependency(java.lang.String group, java.lang.String name, java.lang.String version, java.lang.String configuration)

Method Detail

### contentEquals

    public boolean contentEquals(Dependency dependency)

### copy

    public DefaultExternalModuleDependency copy()

### equals

    @Override
    public boolean equals(java.lang.Object o)

### getGroup

    public java.lang.String getGroup()

### getName

    public java.lang.String getName()

### getVersion

    public java.lang.String getVersion()

### isChanging

    public boolean isChanging()

### isForce

    public boolean isForce()

### setChanging

    public DefaultExternalModuleDependency setChanging(boolean changing)

### setForce

    public DefaultExternalModuleDependency setForce(boolean force)

### toString

    @Override
    public java.lang.String toString()

Groovy Documentation